/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

/** FONTS **/
h1 {
	font-weight: bold !important;
    margin: 0;
    padding: 0;
    font-size: 90px;
}

h2 {
	margin:0;
	padding:0;
	font-size: 50px;
}

/** GENERAL **/
html {
    scroll-behavior: unset !important;
}
body {
	background-color: #FFF;
}
h1 {
	background-image: url(./img/arrow-icon-red.png);
    background-repeat: no-repeat;
    background-size: 40px;
    background-position-y: 25px;
    padding-left: 50px !important;
}
body.single-producto h1 {
	background-image: none;
	padding-left: 0 !important;
}
.elementor-element.video-with-triangle-small,
.elementor-element.video-with-triangle-small .e-con-inner {
	position:relative;
}
.elementor-element.video-with-triangle-small .video-triangle {
	position: absolute !important;
    top: 0;
    width: 500px !important;
    height: 100% !important;
    clip-path: polygon(0 0, 100% 0%, 0 290%);
    background-color: #ea0029;
    z-index: 1 !important;
}
.last-3-posts {
	display: flex;
    flex-grow: 1;
    flex-wrap: wrap;
	margin-left: -20px;
    margin-right: -20px;
}
.last-3-posts a {
	width: 33.3333%;
}
.last-3-posts a .post-item-wrapper {
	margin: 1rem;
}
.last-3-posts a .post-image {
	background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    height: 0;
    padding-bottom: 100%;
}
.last-3-posts a .post-overlay {
	position: relative;
	inset: 0;
	background: rgba(0, 0, 0, 0);
	transition: background 0.3s ease;
	width: 100%;
	height: 0;
    padding-bottom: 100%;
}
.last-3-posts a .post-title {
	margin-top: 1rem;
}
.last-3-posts a .post-title::after {
	content: '';
    background-image: url(./img/arrow-icon-red.png);
    width: 25px;
    height: 23px;
    display: block;
    background-size: cover;
	margin-top: 0.5rem;
	transition: all 0.3s ease;
}
.last-3-posts a .post-title h3 {
	color: #000000;
	transition: all 0.3s ease;
}
.last-3-posts a:hover .post-title h3 {
	color: #ea0029;
}
.last-3-posts a:hover .post-title::after {
	background-image: url(./img/arrow-icon-black.png);
}
.last-3-posts a:hover .post-overlay {
  background: rgba(0, 0, 0, 0.4);
}
a.generate-back-to-top {
	background-image: url(./img/arrow-icon-up-white.png);
    background-size: 25px;
    background-repeat: no-repeat;
    background-position: center;
    border-radius: 30px;
    width: 60px;
    height: 60px;
    background-color: rgba(234, 0, 41, 0.5);
	transition: background-color 0.3s ease;
}
a.generate-back-to-top svg {
	display: none;
}
a.generate-back-to-top:hover, a.generate-back-to-top:focus {
    background-color: rgba(234, 0, 41, 1);
}

.accordion .e-n-accordion-item {
	border-top: 1px #ea0029 solid;
	padding: 5px 0
}
.accordion .e-n-accordion-item:last-child {
	border-bottom: 1px #ea0029 solid;
}
.accordion .e-n-accordion-item-title-icon {
	display: none !important;
}
.accordion .e-n-accordion-item-title {
	background-image: url(./img/arrow-icon-red.png);
    background-repeat: no-repeat;
	background-position: right;
    background-size: 40px;
	padding-right: 50px !important;
}
.accordion .e-n-accordion-item-title[aria-expanded="true"] {
	background-image: url(./img/arrow-icon-red-bottom.png);
	background-size: 35px;
}
.accordion .e-n-accordion-item div[role="region"] {
	padding: 0 5px 0 5px;
}

@media only screen and (max-width: 1200px) {
	.elementor-element.video-with-triangle-small .video-triangle {
		width: 380px !important;
	}
	.elementor-323 .elementor-element.elementor-element-11ab9f5 .elementor-heading-title {
		font-size: 60px;
	}
}
@media only screen and (max-width: 1024px) {
	.video-triangle-right-text p {
		margin:0;
	}
}
@media only screen and (max-width: 1000px) {
	.elementor-element.video-with-triangle-small .video-triangle {
		width: 200px !important;
	}
	.elementor-element.video-triangle-text {
		left: 40px !important;
        top: 40px !important;
	}
}
@media only screen and (max-width: 900px) {
	.last-3-posts a {
		width: 50%;
	}
}
@media only screen and (max-width: 768px) {
	.last-3-posts a {
		width: 100%;
	}
	.last-3-posts a .post-item-wrapper {
		margin: 0 0 2rem 0;
	}
	.last-3-posts {
		margin-left: 0;
		margin-right: 0;
	}
}
@media only screen and (max-width: 660px) {
	.elementor-element.video-with-triangle-small .video-triangle {
        opacity: 0.1;
    }
	.video-triangle-right-text .elementor-widget-heading {
		width: 100% !important;
		text-align: center !important;
	}
	.video-triangle-right-text .elementor-widget-text-editor {
		width: 100% !important;
		text-align: center !important;
	}
}

/** HEADER **/
.site-header {
	position: fixed;
	width: 100%;
	height: 96px;
	z-index: 1000;
	top: 0;
	padding: 0 20px;
	transition: background-color 0.3s ease;
}
body.home .site-header.scrolled {
  background-color: rgba(0, 0, 0, 0.7);
  backdrop-filter: blur(10px);
}
.site-header.scrolled {
	background-color: rgba(255, 255, 255, 0.7);
    backdrop-filter: blur(10px);
}
.main-navigation .main-nav>ul {
	float: right;
}
.inside-header.grid-container {
	padding: 20px 0;
}
body.home .site-header {
    background-color: transparent;
}
.site-header .site-logo {
    margin-right: 2rem;
}
#site-navigation {
	background-color: transparent;
}
#site-navigation li a {
	color: #000000;
	text-transform: uppercase;
    font-size: 14px;
    font-weight: bold;
	padding: 10px 10px;
	line-height: 15px;
}
body.home #site-navigation li a {
	color: #FFFFFF;
}
#site-navigation li a:hover {
	color: #ea0029 !important;
}
#site-navigation li ul li a {
	font-size: 12px;
}
#site-navigation li.dropdown-productos ul.sub-menu {
	min-width: 210px;
}
#site-navigation li.dropdown-productos .dropdown-menu-toggle {
	display: none;
}
#site-navigation .contact-menu-button {
	background-color: #ea0029;
	margin-left: 14rem;
	margin-right: 1rem;
}
#site-navigation .contact-menu-button a {
	font-weight: normal;
	color: #FFFFFF;
}
#site-navigation .contact-menu-button a:hover {
	color: #FFFFFF !important;
	text-decoration: underline;
}
#site-navigation .social-instagram,
#site-navigation .social-linkedin {
	width: 15px;
	margin-left: 10px;
}
#site-navigation .pll-parent-menu-item {
	margin: 0 1rem;
}
#site-navigation .pll-parent-menu-item a {
	padding-top: 10px;
	font-size: 12px;
}
.menu-item-has-children .dropdown-menu-toggle {
	padding-right: 5px;
    padding-left: 5px;
}
#site-navigation .social-instagram {
	margin-top: 2px;
}
#site-navigation li.social-instagram a,
#site-navigation li.social-linkedin a {
	text-indent: -9999px;
    white-space: nowrap;
    overflow: hidden;
    padding: 0;
    margin: 10px 10px;
    line-height: 10px;
    width: 12px;
    height: 12px;
}
#primary-menu .menu li.menu-item-has-children.menu-item-object-page span {
	display: none;
}
#site-navigation #primary-menu {
	width: 100%;
}
.nav-float-right #site-navigation {
	width: 100%;
}
#primary-menu ul.sub-menu {
	background-color: #ea0029;
    width: auto;
    min-width: 80px;
}
#primary-menu ul.sub-menu li a:hover {
	color: #FFFFFF !important;
}
body.home #primary-menu ul.sub-menu li a:hover {
	color: #000 !important;
}
#primary-menu ul.sub-menu li.current-lang a {
	color: #000;
}
@media only screen and (max-width: 1200px) {
	#site-navigation .contact-menu-button {
		margin-left: 6rem;
	}
}
@media only screen and (max-width: 1000px) {
	#site-navigation .contact-menu-button {
		margin-left: 1rem;
	}
	#site-navigation li a {
		font-size: 10px;
	}
}
@media only screen and (max-width: 900px) {
	#site-navigation .contact-menu-button {
		margin-right: 0.5rem;
		margin-left: 0.5rem;
	}
	#site-navigation .pll-parent-menu-item {
		margin: 0 0.5rem;
	}
}
@media only screen and (max-width: 768px) {
	.main-navigation.sub-menu-right.toggled {
		background-color: #000000 !important;
		padding: 1rem;
	}
	.main-navigation.sub-menu-right.toggled ul.menu {
		float: none;
	}
	.main-navigation.sub-menu-right.toggled ul.menu li a {
		color: #FFFFFF !important;
	}
	#site-navigation .pll-parent-menu-item {
		margin: 0;
	}
	#site-navigation .social-instagram, #site-navigation .social-linkedin {
		margin-left: 0;
		display: inline-block;
		margin-right: 15px;
	}
	#site-navigation li.social-instagram a, #site-navigation li.social-linkedin a {
		width: 18px;
		height: 18px;
	}
	#primary-menu .menu li.menu-item-has-children.menu-item-object-page span {
		display: block;
	}
	.main-navigation.toggled .main-nav li {
		width: auto;
		display: table;
	}
	#site-navigation li a {
        font-size: 14px;
    }
	#site-navigation .contact-menu-button {
        margin-top: 0.5rem;
		margin-bottom: 0.5rem;
    }
}

/** HOME **/
.site-content {
  padding-top: 96px !important;
}
body.home div.site-content {
  margin-top: -96px;
}
.metaslider.ms-theme-bitono .flexslider .caption-wrap .caption {
	padding: 20px 20px !important;
}
.metaslider .caption h1 {
	background-image: url(./img/arrow-icon-red.png);
    background-repeat: no-repeat;
    background-size: 40px;
    background-position-y: 38px;
    padding-left: 50px;
    max-width: 1400px;
    margin: auto;
    text-align: left;
}
.ame-marquee-text_section p {
	-webkit-text-stroke-width: 1px;
	-webkit-text-stroke-color: #ea0029;
}
.elementor-counter-number-wrapper {
	background-image: url(./img/arrow-icon-red.png);
    background-repeat: no-repeat;
    background-size: 30px;
    background-position-x: left;
    background-position-y: 25px;
	margin: auto !important;
    width: 260px !important;
}
.elementor-element.video-with-triangle,
.elementor-element.video-with-triangle .e-con-inner {
	position:relative;
}
.elementor-element.video-triangle {
	position: absolute !important;
    top: 0;
    width: 500px !important;
    height: 100% !important;
    clip-path: polygon(0 0, 100% 0%, 0 100%);
    background-color: #ea0029;
    z-index: 1 !important;
}
.elementor-element.video-triangle-text {
	position: absolute;
    top: 15%;
    left: 5%;
    z-index: 2;
    width: 200px;
}
@media only screen and (max-width: 768px) {
	.metaslider .caption h1 {
		font-size: 50px;
	}
	body.home .elementor-26 .elementor-element.elementor-element-3213456 {
		--e-con-grid-template-rows: repeat(1, 1fr);
	}
	.elementor-element.video-triangle {
		width: 360px !important;
		clip-path: polygon(0 0, 90% 0%, 0 130%);
	}
	.elementor-element.video-triangle-text {
		width: 100px;
	}
}
@media only screen and (max-width: 600px) {
	.metaslider .caption h1 {
		font-size: 30px;
	}
}

/** Product type gallery block - HOME **/
.mpw-item-wrapper {
  position: relative;
  background-size: cover;
  background-position: center;
  height: 400px;
  overflow: hidden;
}
.mpw-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0,0,0,0.6);
  transform: translateX(-100%);
  transition: transform 0.5s ease;
  border-left: 60px solid #ea0029;
  display: flex;
  align-items: center;
  justify-content: center;
}
.mpw-item-wrapper:hover .mpw-overlay {
  transform: translateX(0);
}
.mpw-overlay-content {
  color: white;
  text-align: left;
  padding: 20px;
}
.mpw-overlay-content h3 {
  text-transform: uppercase;
}
.mpw-button {
  display: inline-block;
    margin-top: 10px;
    padding: 10px 20px;
    background: #ea0029;
    color: #fff;
    text-decoration: none;
    font-weight: normal;
    border-radius: 3px;
    font-size: 12px;
    float: right;
}

/** Products **/
.custom-nav-links {
	display: inline-block;
    width: 100%;
}
.custom-nav-links .prev-post {
	background-image: url(./img/arrow-icon-red-left.png);
    background-repeat: no-repeat;
    background-size: 30px;
    padding: 1rem 2.5rem;
    background-position-y: 18px;
	float: left;
	font-style: italic;
	font-family: Barlow, sans-serif;
	color: #666666;
}
.custom-nav-links .next-post {
	background-image: url(./img/arrow-icon-red.png);
    background-repeat: no-repeat;
    background-size: 30px;
    padding: 1rem 2.5rem;
    background-position-y: 18px;
    background-position-x: 100%;
	float: right;
	font-style: italic;
	font-family: Barlow, sans-serif;
	color: #666666;
}
@media only screen and (max-width: 900px) {
	.mpw-item {
		width: 50%;
	}
	.mpw-item.mpw-item-big {
		width: 100%;
	}
}
@media only screen and (max-width: 768px) {
	.mpw-item-wrapper {
		margin: 15px;
		background-repeat: no-repeat;
		background-position: center;
		height: 100%;
		min-height: 330px;
	}
}
@media only screen and (max-width: 600px) {
	.mpw-item {
		width: 100%;
	}
}

/** CONTACTO **/
.wpcf7-form .wpcf7-form-control-wrap {
	margin-bottom: 1rem;
    width: 100%;
    display: block;
	overflow: hidden;
}
.wpcf7-form .wpcf7-form-control-wrap input {
    width: 100%;
}
.wpcf7-form span[data-name="acceptance"] input {
    width: auto;
}
.wpcf7-form input::placeholder,
.wpcf7-form textarea::placeholder {
	color: #000;
	opacity: 1;
}
.wpcf7-form input::-ms-input-placeholder,
.wpcf7-form textarea::-ms-input-placeholder {
	color: #000;
}
.wpcf7-form input,
.wpcf7-form textarea {
	background-color: #FFF;
	border-top: 0;
	border-left: 0;
	border-right: 0;
	border-bottom: 1px #ea0029 solid;
}
.wpcf7-form textarea {
	height: 50px;
}
.wpcf7-form .wpcf7-submit {
	background-color: #ea0029;
	color: #FFF;
	margin-top: 2rem;
}
.wpcf7-form .wpcf7-submit:hover {
	background-color: #ea0029;
	text-decoration: underline;
}
.inline-fields {
	display: flex;
	flex-grow: 1;
	flex-wrap: wrap;
}
.inline-fields span {
	width: 50% !important;
}
.inline-fields span input.wpcf7-tel {
	margin-right: 1rem;
}
.inline-fields span input.wpcf7-email {
	margin-left: 1rem;
}
.p-no-margin p {
	margin: 0;
	padding: 0;
}

/** LO ULTIMO **/
.tipo-producto-filters {
	margin-bottom: 3rem;
}
.tipo-producto-filters ul {
	list-style: none;
    margin: 0;
}
.tipo-producto-filters ul li {
	display: inline-block;
    margin-right: 1rem;
}
.tipo-producto-filters ul li a {
	color: #000000;
	font-size: 22px;
    text-transform: uppercase;
}
.tipo-producto-filters ul li a:hover {
	color: #ea0029;
}

/** FOOTER **/
.site-footer {
	font-size: 14px;
}
.site-footer h2 {
	font-size: 14px;
	margin: 0;
	padding: 0;
	font-weight: 900;
}
.site-footer #footer-widgets {
	background-color: #ea0029;
	padding: 0 20px;
}
.site-footer .site-info {
	background-color: #000000;
}
.site-footer .footer-widgets-container {
	padding: 40px 0;
}
.site-footer .inside-footer-widgets {
	flex-grow: 1;
    flex-wrap: wrap;
	display: flex;
}
.site-footer .footer-widgets-container .inside-footer-widgets {
	margin-left: 0;
}
.site-footer .inside-footer-widgets .footer-widget-1 {
	width: 15%;
	flex: inherit;
}
.site-footer .inside-footer-widgets .footer-widget-1 aside {
	padding: 0;
}
.site-footer .inside-footer-widgets .footer-widget-2 {
	width: 55%;
	flex: inherit;
}
.site-footer .inside-footer-widgets .footer-widget-3 {
	width: 15%;
	flex: inherit;
}
.site-footer .inside-footer-widgets .footer-widget-4 {
	width: 15%;
	flex: inherit;
}
.site-footer .footer-group {
	
}
.site-footer .footer-group .footer-sub-title {
	margin-bottom: 10px;
}
.site-footer .footer-group .footer-text {
	padding-right: 1rem;
	color: #FFFFFF;
	font-weight: bold;
}
.site-footer .menu .social-instagram,
.site-footer .menu .social-linkedin,
.site-footer .menu .pll-parent-menu-item {
	display: none;
}
.site-footer .footer-group .footer-text span {
	font-size: 12px;
	font-weight: normal;
}
.site-footer .footer-group .footer-group-wrapper {
	display: flex;
    flex-grow: 1;
    flex-wrap: wrap;
}
.site-footer .footer-group .first-group {
	width: 33.3333%;
}
.site-footer .footer-group .second-group {
	width: 33.3333%;
}
.site-footer .footer-group .third-group {
	width: 33.3333%;
}
.site-footer .menu li {
    margin: 0;
    padding: 0;
}
.site-footer .menu a {
	text-decoration: none;
    color: #FFFFFF;
    margin: 0;
    padding: 0;
}
.site-footer .menu a:hover {
    color: #000000;
}
.site-footer .menu ul.sub-menu {
	display: none;
}
.site-footer .social-linkedin {
	margin-bottom: 1rem;
}
.social-linkedin a {
	background-image: url(./img/logo-linkedin-black.svg);
	width: 30px;
    height: 30px;
    display: block;
    background-repeat: no-repeat;
    background-size: cover;
	transition: background-image 0.3s ease;
}
.social-linkedin a:hover {
	background-image: url(./img/logo-linkedin-white.svg);
}
body.home .social-linkedin a,
.footer-social .social-linkedin a,
.main-navigation.sub-menu-right.toggled .social-linkedin a {
	background-image: url(./img/logo-linkedin-white.svg);
	width: 30px;
    height: 30px;
    display: block;
    background-repeat: no-repeat;
    background-size: cover;
	transition: background-image 0.3s ease;
}
body.home .social-linkedin a:hover,
.social-linkedin a:hover,
.main-navigation.sub-menu-right.toggled .social-linkedin a:hover {
	background-image: url(./img/logo-linkedin-red.svg);
}
.footer-social .social-linkedin a:hover {
	background-image: url(./img/logo-linkedin-black.svg);
}
.site-footer .social-instagram {
	margin-bottom: 1rem;
}
.social-instagram a {
	background-image: url(./img/logo-instagram-black.svg);
	width: 30px;
    height: 30px;
    display: block;
    background-repeat: no-repeat;
    background-size: cover;
	transition: background-image 0.3s ease;
}
body.home .social-instagram a,
.footer-social .social-instagram a,
.main-navigation.sub-menu-right.toggled .social-instagram a {
	background-image: url(./img/logo-instagram-white.svg);
	width: 30px;
    height: 30px;
    display: block;
    background-repeat: no-repeat;
    background-size: cover;
	transition: background-image 0.3s ease;
}
.footer-social .social-instagram a:hover {
	background-image: url(./img/logo-instagram-black.svg);
}
body.home .social-instagram a:hover,
.main-navigation.sub-menu-right.toggled .social-instagram a:hover,
.social-instagram a:hover {
	background-image: url(./img/logo-instagram-red.svg);
}
@media only screen and (max-width: 768px) {
	.site-footer .inside-footer-widgets {
		display: block;
	}
	.site-footer .inside-footer-widgets .footer-widget-1 {
		width: auto;
	}
	.site-footer .inside-footer-widgets .footer-widget-2 {
		width: auto;
	}
	.site-footer .inside-footer-widgets .footer-widget-3 {
		width: auto;
	}
	.site-footer .inside-footer-widgets .footer-widget-4 {
		width: auto;
	}
}
@media only screen and (max-width: 500px) {
	.site-footer .footer-group .footer-group-wrapper {
		display: block;
	}
	.site-footer .footer-group .first-group {
		width: auto;
		margin-bottom: 1rem;
	}
	.site-footer .footer-group .second-group {
		width: auto;
		margin-bottom: 1rem;
	}
	.site-footer .footer-group .third-group {
		width: auto;
		margin-bottom: 1rem;
	}
}